bootup low resolution can't unlock crypt volume

Bug #1769816 reported by affinity on 2018-05-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Bionic
High
Unassigned

Bug Description

linux-headers-4.15.0-20

On boot, the screen for entering cryptsetup pass phrase looks like vga size and I cannot enter the pass phrase to unlock FDE Booting older kernel works fine.

Revert to older kernel for boot with older kernel, have the following inxi details:

System: Host: Satellite-P50-A Kernel: 4.15.0-15-generic x86_64 (64 bit) Desktop: Cinnamon 3.6.7
           Distro: Linux Mint 18.3 Sylvia
Machine: System: TOSHIBA (portable) product: Satellite P50-A v: PSPMHA-01D00L serial: XXXXXXM
           Mobo: TOSHIBA model: VG10S serial: XXXXXXXXXXX Bios: TOSHIBA v: 1.90 date: 09/19/2014
CPU: Quad core Intel Core i7-4700MQ (-HT-MCP-) speed/max: 1596/3400 MHz
Graphics: Card-1: Intel 4th Gen Core Processor Integrated Graphics Controller
           Card-2: NVIDIA GK107M [GeForce GT 745M]
           Display Server: X.org 1.18.4 drivers: intel (unloaded: fbdev,vesa) FAILED: nouveau
           tty size: 200x60 Advanced Data: N/A for root
Network: Card-1: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter driver: ath9k
           Card-2: Qualcomm Atheros QCA8171 Gigabit Ethernet driver: alx
---
ApportVersion: 2.20.1-0ubuntu2.16
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: andrewm 2561 F.... pulseaudio
 /dev/snd/controlC0: andrewm 2561 F.... pulseaudio
DistroRelease: Linux 18.3
HibernationDevice: RESUME=UUID=94440034-9fd5-4211-a6b3-456ff2fd0409
InstallationDate: Installed on 2016-09-10 (604 days ago)
InstallationMedia: Linux Mint 18 "Sarah" - Release amd64 20160628
MachineType: TOSHIBA Satellite P50-A
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_AU:en
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-15-generic root=/dev/mapper/mint--vg-root ro quiet splash
ProcVersionSignature: Ubuntu 4.15.0-15.16~16.04.1-generic 4.15.15
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-15-generic N/A
 linux-backports-modules-4.15.0-15-generic N/A
 linux-firmware 1.157.17
Tags: sylvia sylvia
Uname: Linux 4.15.0-15-generic x86_64
UnreportableReason: The report belongs to a package that is not installed.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: False
dmi.bios.date: 09/19/2014
dmi.bios.vendor: TOSHIBA
dmi.bios.version: 1.90
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: VG10S
dmi.board.vendor: TOSHIBA
dmi.board.version: To be filled by O.E.M.
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnTOSHIBA:bvr1.90:bd09/19/2014:svnTOSHIBA:pnSatelliteP50-A:pvrPSPMHA-01D00L:rvnTOSHIBA:rnVG10S:rvrTobefilledbyO.E.M.:cvnTOSHIBA:ct10:cvrToBeFilledByO.E.M.:
dmi.product.family: PEGA Family
dmi.product.name: Satellite P50-A
dmi.product.version: PSPMHA-01D00L
dmi.sys.vendor: TOSHIBA

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1769816

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: cosmic
affinity (andrew-mcglashan) wrote :
affinity (andrew-mcglashan) wrote :

apport information

tags: added: apport-collected sylvia
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.17 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17-rc4

Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Bionic):
importance: Undecided → High
status: New → Confirmed
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Can you post the prior kernel version that does not exhibit this bug?

affinity (andrew-mcglashan) wrote :

This version has the bug: linux-headers-4.15.0-20

I had to run earlier kernel which doesn't have the bug as stated, this is: 4.15.0-15-generic

Everything reported about my system is whilst running the earlier kernel that doesn't have the bug.

affinity (andrew-mcglashan) wrote :

Please confirm that the following deb files should be installed (correct ones).

# shasum -c CHECKSUMS 2>&1 | grep 'OK$'|sort -u
linux-headers-4.17.0-041700rc4_4.17.0-041700rc4.201805070430_all.deb: OK
linux-headers-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK
linux-image-unsigned-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK
linux-modules-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK

FULLER CHECK (both sha1 and sha256)
# shasum -c CHECKSUMS 2>&1 | grep 'OK$'
linux-headers-4.17.0-041700rc4_4.17.0-041700rc4.201805070430_all.deb: OK
linux-headers-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK
linux-image-unsigned-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK
linux-modules-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK
linux-headers-4.17.0-041700rc4_4.17.0-041700rc4.201805070430_all.deb: OK
linux-headers-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK
linux-image-unsigned-4.17.0-041700rc4-generic_4.17.0-041700rc4.201805070430_amd64.deb: OK

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
affinity (andrew-mcglashan) wrote :

Installed deb packages above.

Tag added as requested:

'kernel-fixed-upstream'

tags: added: kernel-fixed-upstream
affinity (andrew-mcglashan) wrote :

Side effect.... messages from mintupdate:

You have 1 broken package on your system!

Use the "Broken" filter to locate it.

affinity (andrew-mcglashan) wrote :
Download full text (3.7 KiB)

2018-05-09 07:36:14 startup archives install
2018-05-09 07:36:14 install linux-headers-4.17.0-041700rc4:all <none> 4.17.0-041700rc4.201805070430
2018-05-09 07:36:14 status half-installed linux-headers-4.17.0-041700rc4:all 4.17.0-041700rc4.201805070430
2018-05-09 07:36:17 status unpacked linux-headers-4.17.0-041700rc4:all 4.17.0-041700rc4.201805070430
2018-05-09 07:36:17 status unpacked linux-headers-4.17.0-041700rc4:all 4.17.0-041700rc4.201805070430
2018-05-09 07:36:17 install linux-headers-4.17.0-041700rc4-generic:amd64 <none> 4.17.0-041700rc4.201805070430
2018-05-09 07:36:17 status half-installed linux-headers-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 status unpacked linux-headers-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 status unpacked linux-headers-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 install linux-image-unsigned-4.17.0-041700rc4-generic:amd64 <none> 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 status half-installed linux-image-unsigned-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 status unpacked linux-image-unsigned-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 status unpacked linux-image-unsigned-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 install linux-modules-4.17.0-041700rc4-generic:amd64 <none> 4.17.0-041700rc4.201805070430
2018-05-09 07:36:19 status half-installed linux-modules-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status unpacked linux-modules-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status unpacked linux-modules-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 configure linux-headers-4.17.0-041700rc4:all 4.17.0-041700rc4.201805070430 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status unpacked linux-headers-4.17.0-041700rc4:all 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status half-configured linux-headers-4.17.0-041700rc4:all 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status installed linux-headers-4.17.0-041700rc4:all 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 configure linux-modules-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status unpacked linux-modules-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status half-configured linux-modules-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status installed linux-modules-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 configure linux-image-unsigned-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status unpacked linux-image-unsigned-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:24 status half-configured linux-image-unsigned-4.17.0-041700rc4-generic:amd64 4.17.0-041700rc4.201805070430
2018-05-09 07:36:25 status installed linux-image-unsigned-4.17.0-041700rc4...

Read more...

affinity (andrew-mcglashan) wrote :

Should I remove the rc4 kernel? If not, how can I fix the broken status?

affinity (andrew-mcglashan) wrote :

I've removed the 4.17rc4 packages and have returned to my original state.

That is, I cannot use 4.15.0-20, but I can use 4.15.0.15 okay.

affinity (andrew-mcglashan) wrote :

The problems seem to be fixed following installation of this package:

linux-modules-extra-4.15.0-20-generic:amd64 (4.15.0-20.21~16.04.1)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers